<#if view.hasPSControl('pickupviewpanel')>
<#assign view_enableQuickSearch>
  <ion-toolbar>
    <ion-searchbar style="height: 36px; padding-bottom: 0px;" :placeholder="$t('app.fastsearch')" debounce="500" @ionChange="quickValueChange($event)"></ion-searchbar>
    <#if view.hasPSControl('searchform')>
    <ion-button class="filter-btn" size="small" slot="end"  @click="openSearchform"><ion-icon  slot="end" name="filter-outline"></ion-icon>过滤</ion-button>  
    </#if>
  </ion-toolbar>
</#assign>
<#assign view_content>
${P.getCtrlCode('pickupviewpanel', 'CONTROL.html').code}
</#assign>
</#if>
<#assign view_footer>
<#if view.getViewType()=="DEMOBMPICKUPVIEW">
<div class="mpicker_buttons">
    <div class="${view.getViewType()?lower_case}_button">
     <#-- 树多选视图单独ui -->
      <#if view.getAllEmbeddedPSAppViews?? && view.getAllEmbeddedPSAppViews()??>
      <#assign isTreeView = false>
      <#list view.getAllEmbeddedPSAppViews() as tempView>
      <#if tempView.getViewType()=='DEMOBPICKUPTREEVIEW'>
      <#assign isTreeView = true>
      </#if>
      </#list>
      <#if isTreeView>
      <van-action-sheet :get-container="container" class="ibiz_sheet_tree" v-model="show"  @click-overlay="onOverlayClick" >
          <div class="header">
              <div>已选择：{{viewSelections.length}}</div>
          </div>
          <app-select-tree-list :items="viewSelections" @item_delete="item_delete"></app-select-tree-list>
      </van-action-sheet>
      </#if>
      </#if>
      <div class="selectedCount"  <#if isTreeView>@click="select_click"</#if>>已选择：{{viewSelections.length}}<ion-icon name="chevron-up-outline"></ion-icon></div>
      <ion-button class="pick-btn" @click="onClickOk" :disabled="viewSelections.length === 0">{{$t('app.button.confirm')}}</ion-button>
    </div>
</div>
<#else>
<ion-toolbar style="text-align: center;">
    <div class="mobpickupview_button">
      <ion-button class="pick-btn" @click="onClickCancel" color="medium">{{$t('app.button.cancel')}}</ion-button>
      <ion-button class="pick-btn" @click="onClickOk" :disabled="viewSelections.length === 0">{{$t('app.button.confirm')}}</ion-button>
    </div>
</ion-toolbar>
</#if>
</#assign>
<#ibizinclude>
./VIEW_LAYOUT_BASE.ftl
</#ibizinclude>