<#if view.hasPSControl('form')>
<#assign view_content>
        <component 
            :is="activeForm.name"
            :isautoload="true"
            :viewState="viewState"  
            :viewparams="viewparams" 
            :context="context" 
            :autosave="false" 
            :viewtag="viewtag"
            :showBusyIndicator="activeForm.showBusyIndicator"
            :updateAction="activeForm.updateAction"
            :removeAction="activeForm.removeAction"
            :loaddraftAction="activeForm.loaddraftAction"
            :loadAction="activeForm.loadAction"
            :createAction="activeForm.createAction"
            :WFSubmitAction="activeForm.WFSubmitAction"
            :WFStartAction="activeForm.WFStartAction"
            :srfwfmemo="srfwfmemo"
            name="form"  
            ref='form' 
            @save="form_save($event)"  
            @remove="form_remove($event)"  
            @load="form_load($event)"  
            @closeview="closeView($event)">
        </component>
</#assign>
<#assign view_footer>
    <div class="fab_container">
        <ion-button @click="popUpGroup(true)" v-if="linkModel.length > 0"  :style="button_style"  class="app-view-toolbar-button wf_btns"><ion-icon name="chevron-up-circle-outline"></ion-icon></ion-button>
        <van-popup  class="popup" v-model="showGrop" round position="bottom">
            <div class="container">
                <div class='sub-item'  v-for="(linkItem,index) in linkModel" :key="index" >
                <ion-button  @click="dynamic_toolbar_click(linkItem, $event)" class="wf_btn_item">
                        {{linkItem.sequenceFlowName}}
                </ion-button>
            </div>
            </div>
        </van-popup>
    </div>
</#assign>
</#if>

<#ibizinclude>
../@MACRO/VIEW_LAYOUT_BASE.ftl
</#ibizinclude>